Summary: Ceph Pacific packages from the CentOS Storage SIG repository
Name: centos-release-ceph-pacific
Version: 1.0
Release: 2%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Ceph-Pacific.repo
BuildArch: noarch

%if 0%{?centos} >= 8
# $contentdir for altarch support was added with CentOS-8.5
Requires: centos-release >= 8-0.1905.el8
%endif
# This provides the public key to verify the RPMs
Requires: centos-release-storage-common

Provides: centos-release-ceph = 16

%description
yum configuration for Ceph Pacific packages from the CentOS Storage SIG.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Pacific.repo
%if 0%{?centos} < 7
sed -i 's/i\$contentdir/centos/g' %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Pacific.repo
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Ceph-Pacific.repo

%changelog
* Wed Jan 26 2022 Kaleb S. KEITHLEY <kkeithle[at]redhat.com> - 1.0-2
- mirrorlist -> metalink

* Mon Dec 13 2021 Kaleb S. KEITHLEY <kkeithle[at]redhat.com> - 1.0-1
- c9stream

